<?php
/**
 * @file
 * ofed_slider.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ofed_slider_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "ds" && $api == "ds") {
    return array("version" => "1");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ofed_slider_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function ofed_slider_image_default_styles() {
  $styles = array();

  // Exported image style: ofed_slider_default.
  $styles['ofed_slider_default'] = array(
    'name' => 'ofed_slider_default',
    'effects' => array(
      1 => array(
        'label' => 'Scale and crop',
        'help' => 'Scale and crop will maintain the aspect-ratio of the original image, then crop the larger dimension. This is most useful for creating perfectly square thumbnails without stretching the image.',
        'effect callback' => 'image_scale_and_crop_effect',
        'dimensions callback' => 'image_resize_dimensions',
        'form callback' => 'image_resize_form',
        'summary theme' => 'image_resize_summary',
        'module' => 'image',
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 536,
          'height' => 240,
        ),
        'weight' => 1,
      ),
    ),
    'label' => 'ofed_slider_default',
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function ofed_slider_node_info() {
  $items = array(
    'ofed_slider' => array(
      'name' => t('Slider'),
      'base' => 'node_content',
      'description' => t('Use <em>Slider</em> to create a slideshow of images.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  return $items;
}
